/*
 * Copyright 2009 Red Hat, Inc.
 * Red Hat licenses this file to you under the Apache License, version
 * 2.0 (the "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *    http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied.  See the License for the specific language governing
 * permissions and limitations under the License.
 */
package org.hornetq.example.server;

import org.hornetq.core.config.impl.FileConfiguration;
import org.hornetq.core.server.HornetQServer;
import org.hornetq.core.server.HornetQServers;
import org.hornetq.jms.server.JMSServerManager;
import org.hornetq.jms.server.impl.JMSServerManagerImpl;


/**
 * @author <a href="mailto:andy.taylor@jboss.org">Andy Taylor</a>
 */
public class EmbeddedServer
{
   public static void main(String[] args) throws Exception
   {
      try
      {
         FileConfiguration configuration = new FileConfiguration();
         configuration.setConfigurationUrl("hornetq-configuration.xml");
         configuration.start();

         HornetQServer server = HornetQServers.newHornetQServer(configuration);
         JMSServerManager jmsServerManager = new JMSServerManagerImpl(server, "hornetq-jms.xml");
         //if you want to use JNDI, simple inject a context here or don't call this method and make sure the JNDI parameters are set.
         jmsServerManager.setContext(null);
         jmsServerManager.start();
         System.out.println("STARTED::");
      }
      catch (Throwable e)
      {
         System.out.println("FAILED::");
         e.printStackTrace();
      }
   }
}
